package com.ximai.mes.pro.domain.productionRequest;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ximai.common.core.domain.BaseEntity;

/**
 * 量产申请工序检验项对象 pro_production_request_process_qcindex
 *
 * @author generator
 * @date 2024-01-27
 */
public class ProProductionRequestProcessQcindex extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    @TableId
    private Long productionRequestProcessQcindexId;

    /** 量产申请ID */
    private Long productionRequestId;

    /** 量产申请工序ID */
    private Long productionRequestProcessId;

    /** 产品物料ID */
    private Long qcindexId;

    public void setProductionRequestProcessQcindexId(Long productionRequestProcessQcindexId)
    {
        this.productionRequestProcessQcindexId = productionRequestProcessQcindexId;
    }

    public Long getProductionRequestProcessQcindexId()
    {
        return productionRequestProcessQcindexId;
    }
    public void setProductionRequestId(Long productionRequestId)
    {
        this.productionRequestId = productionRequestId;
    }

    public Long getProductionRequestId()
    {
        return productionRequestId;
    }
    public void setProductionRequestProcessId(Long productionRequestProcessId)
    {
        this.productionRequestProcessId = productionRequestProcessId;
    }

    public Long getProductionRequestProcessId()
    {
        return productionRequestProcessId;
    }
    public void setQcindexId(Long qcindexId)
    {
        this.qcindexId = qcindexId;
    }

    public Long getQcindexId()
    {
        return qcindexId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("productionRequestProcessQcindexId", getProductionRequestProcessQcindexId())
            .append("productionRequestId", getProductionRequestId())
            .append("productionRequestProcessId", getProductionRequestProcessId())
            .append("qcindexId", getQcindexId())
            .append("remark", getRemark())
            .toString();
    }
}
